Item Logo
Wms apiApi referenceOther query api

Shipping Query

Shipping Query API

Shipping Query API is designed to retrieve the shipping history of a specific item. This article introduces the general Shipping Query API for easily understanding and applying this API.

Introduction

Shipping Query API helps users keep track of where and when an item was shipped, offering transparency and traceability throughout the shipping lifecycle. It enables businesses to monitor and review the complete shipping history of an item, facilitating better inventory control, auditing processes and customer service support.

API Request

API: POST /edi/outbound/shipping/search-by-paging Body Request:

Body Parameter

Required

Description

Note

FacilityID

Y

Facility ID

"889"

CustomerID

Y

Customer ID

"AUKINT0001"

CompanyID

Y

Company ID

"LT"

Paging

N

Page Object

"PageNo": 2

API Return

It returns the shipping list, for more detail, please refer to the following example.

Example

Request

json { "FacilityID":"889", "CustomerID":"AUKINT0001", "CompanyID":"LT", "Paging": { "PageNo": 2 } }

Response

json // Success return { "results": { "data": [], "head": [ "Customer", "Order", "Item", "Item Desc", "CaseQty", "PieceQty", "ShippedTime" ] }, "paging": { "totalCount": 0, "pageNo": 1, "totalPage": 0, "startIndex": 1, "endIndex": 0, "limit": 100 } }